<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Welcome to Spade’s documentation! &mdash; Spade 1.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />
      <link rel="stylesheet" type="text/css" href="_static/tabs.css?v=a5c4661c" />

  
    <link rel="shortcut icon" href="_static/Spade_icon_2.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=f2a433a1"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="1. Hardware components" href="Hardware.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="#" class="icon icon-home">
            Spade
              <img src="_static/Spade_icon_2.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Hardware.html">1. Hardware components</a></li>
<li class="toctree-l1"><a class="reference internal" href="Battery.html">2. Charging the battery</a></li>
<li class="toctree-l1"><a class="reference internal" href="Flying.html">3. Flying</a></li>
<li class="toctree-l1"><a class="reference internal" href="RaspberryPi.html">4. Interacting with the Raspberry Pi</a></li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Spade</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Welcome to Spade’s documentation!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="welcome-to-spade-s-documentation">
<h1>Welcome to Spade’s documentation!<a class="headerlink" href="#welcome-to-spade-s-documentation" title="Link to this heading"></a></h1>
<p>If you already know how to operate drones, you can just jump directly to <a class="reference internal" href="RaspberryPi.html#raspberry-pi"><span class="std std-ref">Interacting with the Raspberry Pi</span></a> section .</p>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Hardware.html">1. Hardware components</a><ul>
<li class="toctree-l2"><a class="reference internal" href="Hardware.html#preassembled-drone">1.1. Preassembled drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="Hardware.html#custom-drone">1.2. Custom Drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="Hardware.html#d-prints">1.3. 3D prints</a></li>
<li class="toctree-l2"><a class="reference internal" href="Hardware.html#next-steps">1.4. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Battery.html">2. Charging the battery</a><ul>
<li class="toctree-l2"><a class="reference internal" href="Battery.html#connecting-the-battery-and-charger">2.1. Connecting the battery and charger</a></li>
<li class="toctree-l2"><a class="reference internal" href="Battery.html#setup-the-charger">2.2. Setup the Charger</a></li>
<li class="toctree-l2"><a class="reference internal" href="Battery.html#connecting-the-parts">2.3. Connecting the parts</a></li>
<li class="toctree-l2"><a class="reference internal" href="Battery.html#next-steps">2.4. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Flying.html">3. Flying</a><ul>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#requirements">3.1. Requirements</a></li>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#connecting-to-the-drone">3.2. Connecting to the drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#setting-up-the-drone">3.3. Setting up the drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#setting-up-the-rc">3.4. Setting up the RC</a></li>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#id1">3.5. Flying</a></li>
<li class="toctree-l2"><a class="reference internal" href="Flying.html#next-steps">3.6. Next steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="RaspberryPi.html">4. Interacting with the Raspberry Pi</a><ul>
<li class="toctree-l2"><a class="reference internal" href="RaspberryPi.html#flashing-the-raspberry-pi">4.1. Flashing the Raspberry Pi</a></li>
<li class="toctree-l2"><a class="reference internal" href="RaspberryPi.html#ssh-into-the-raspberry-pi">4.2. SSH into the Raspberry Pi</a></li>
<li class="toctree-l2"><a class="reference internal" href="RaspberryPi.html#next-steps">4.3. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a><ul>
<li class="toctree-l2"><a class="reference internal" href="Simulation.html#id1">5.1. Simulation</a></li>
<li class="toctree-l2"><a class="reference internal" href="Simulation.html#real-world">5.2. Real-world</a></li>
</ul>
</li>
</ul>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Hardware.html" class="btn btn-neutral float-right" title="1. Hardware components" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Markus Simonsen.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>